[arch-commits] Commit in fontconfig/trunk (30-urw-aliases.patch PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Nov 29 15:19:18 EST 2009


    Date: Sunday, November 29, 2009 @ 15:19:18
  Author: jgc
Revision: 59981

upgpkg: fontconfig 2.8.0-1
    Update to 2.8.0
Implement fix for FS#15833

Added:
  fontconfig/trunk/30-urw-aliases.patch
Modified:
  fontconfig/trunk/PKGBUILD

----------------------+
 30-urw-aliases.patch |   13 +++++++++++++
 PKGBUILD             |   29 ++++++++++++++++-------------
 2 files changed, 29 insertions(+), 13 deletions(-)

Added: 30-urw-aliases.patch
===================================================================
--- 30-urw-aliases.patch	                        (rev 0)
+++ 30-urw-aliases.patch	2009-11-29 20:19:18 UTC (rev 59981)
@@ -0,0 +1,13 @@
+--- a/conf.d/30-urw-aliases.conf	2009-08-06 16:23:57.000000000 +0100
++++ b/conf.d/30-urw-aliases.conf	2009-08-06 16:25:07.000000000 +0100
+@@ -29,6 +29,10 @@
+ 	  <family>Zapf Dingbats</family>
+ 	  <accept><family>Dingbats</family></accept>
+ 	</alias>
++	<alias binding="same">
++	  <family>ZapfDingbats</family>
++	  <accept><family>Dingbats</family></accept>
++	</alias>
+ 	<match target="pattern">
+ 	  <test name="family">
+ 	    <string>Symbol</string>

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-29 19:28:52 UTC (rev 59980)
+++ PKGBUILD	2009-11-29 20:19:18 UTC (rev 59981)
@@ -1,32 +1,35 @@
 # $Id$
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=fontconfig
-pkgver=2.6.0
-pkgrel=2
+pkgver=2.8.0
+pkgrel=1
 pkgdesc="A library for configuring and customizing font access"
 arch=(i686 x86_64)
 url="http://www.fontconfig.org/release/"
 license=('custom')
-depends=('expat>=2.0' 'freetype2>=2.3.7')
+depends=('expat>=2.0.1' 'freetype2>=2.3.11')
 options=('!libtool')
 install=fontconfig.install
 source=(http://www.fontconfig.org/release/${pkgname}-${pkgver}.tar.gz
-	29-replace-bitmap-fonts.conf)
-md5sums=('ab54ec1d4ddd836313fdbc0cd5299d6d'
-         'f6b67e8cc79197ed6abd4701911e83da')
+        29-replace-bitmap-fonts.conf
+        30-urw-aliases.patch)
+md5sums=('77e15a92006ddc2adbb06f840d591c0e'
+         'f6b67e8cc79197ed6abd4701911e83da'
+         '51bc6cb633b50f3c28793361738aac5b')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/30-urw-aliases.patch" || return 1
   # enable Position Independent Code for prelinking
   export CFLAGS="${CFLAGS} -fPIC"
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -m644 ${startdir}/src/29-replace-bitmap-fonts.conf \
-      ${startdir}/pkg/etc/fonts/conf.avail || return 1
-  rm -f ${startdir}/pkg/etc/fonts/conf.d/*.conf
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m644 "${srcdir}/29-replace-bitmap-fonts.conf" \
+      "${pkgdir}/etc/fonts/conf.avail" || return 1
+  rm -f ${pkgdir}/etc/fonts/conf.d/*.conf
 
   #Install license
-  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list